<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- XRef/xref8.html -->
<!-- this view was generated by XRef -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Cross Reference : Synopsis::PTree::FunctionDefinition::FunctionDefinition&#40;Node*&#44;Node*&#41; - Synopsis::PTree::Kwd::Auto</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="XRef">
<div class="navigation">
<span class="normal"><a href="../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Cross Reference : Synopsis::PTree::FunctionDefinition::FunctionDefinition&#40;Node*&#44;Node*&#41; - Synopsis::PTree::Kwd::Auto</h1><div class="xref-name"><a id="Synopsis_mPTree_mFunctionDefinition_mFunctionDefinition_lNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::FunctionDefinition::FunctionDefinition&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/FunctionDefinition.html#FunctionDefinition_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#136">Synopsis/PTree/Lists.hh:136</a>: in class <a href="../Scopes/Synopsis/PTree/FunctionDefinition.html" >Synopsis::PTree::FunctionDefinition</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mFunctionDefinition_maccept_lVisitor_S_r" /><h2 >Member function Synopsis::PTree::FunctionDefinition::accept&#40;Visitor*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/FunctionDefinition.html#accept_lVisitor_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#137">Synopsis/PTree/Lists.hh:137</a>: in class <a href="../Scopes/Synopsis/PTree/FunctionDefinition.html" >Synopsis::PTree::FunctionDefinition</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mGotoStatement" /><h2 >Class Synopsis::PTree::GotoStatement</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/GotoStatement.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#324">Synopsis/PTree/Lists.hh:324</a>: in class <a href="../Scopes/Synopsis/PTree/GotoStatement.html" >Synopsis::PTree::GotoStatement</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#324">Synopsis/PTree/Lists.hh:324</a>: in class <a href="../Scopes/Synopsis/PTree/GotoStatement.html" >Synopsis::PTree::GotoStatement</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#59">Synopsis/PTree/TypeVisitor.hh:59</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#159">Synopsis/PTree/Visitor.hh:159</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#327">Synopsis/PTree/Lists.hh:327</a>: Constructor <a href="../Scopes/Synopsis/PTree/GotoStatement.html#GotoStatement_lNode_S_cNode_S_r" >GotoStatement&#40;Node*&#44;Node*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mGotoStatement_mGotoStatement_lNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::GotoStatement::GotoStatement&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/GotoStatement.html#GotoStatement_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#327">Synopsis/PTree/Lists.hh:327</a>: in class <a href="../Scopes/Synopsis/PTree/GotoStatement.html" >Synopsis::PTree::GotoStatement</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mIdentifier" /><h2 >Class Synopsis::PTree::Identifier</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Identifier.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#52">Synopsis/PTree/Atoms.hh:52</a>: in class <a href="../Scopes/Synopsis/PTree/Identifier.html" >Synopsis::PTree::Identifier</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#27">Synopsis/PTree/TypeVisitor.hh:27</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#34">Synopsis/PTree/Visitor.hh:34</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#30">Synopsis/TypeAnalysis/ConstEvaluator.hh:30</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html" >Synopsis::TypeAnalysis::ConstEvaluator</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#30">Synopsis/TypeAnalysis/TypeEvaluator.hh:30</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" >Synopsis::TypeAnalysis::TypeEvaluator</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Atoms.hh.html#55">Synopsis/PTree/Atoms.hh:55</a>: Constructor <a href="../Scopes/Synopsis/PTree/Identifier.html#Identifier_lconst.Token_A_r" >Identifier&#40;const Token&amp;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Atoms.hh.html#56">Synopsis/PTree/Atoms.hh:56</a>: Constructor <a href="../Scopes/Synopsis/PTree/Identifier.html#Identifier_lconst.char_S_csize_t_r" >Identifier&#40;const char*&#44;size_t&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Atoms.hh.html#57">Synopsis/PTree/Atoms.hh:57</a>: Member function <a href="../Scopes/Synopsis/PTree/Identifier.html#accept_lVisitor_S_r" >accept&#40;Visitor*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mIdentifier_mIdentifier_lconst.Token_A_r" /><h2 >Constructor Synopsis::PTree::Identifier::Identifier&#40;const Token&amp;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Identifier.html#Identifier_lconst.Token_A_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#55">Synopsis/PTree/Atoms.hh:55</a>: in class <a href="../Scopes/Synopsis/PTree/Identifier.html" >Synopsis::PTree::Identifier</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mIdentifier_mIdentifier_lconst.char_S_csize_t_r" /><h2 >Constructor Synopsis::PTree::Identifier::Identifier&#40;const char*&#44;size_t&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Identifier.html#Identifier_lconst.char_S_csize_t_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#56">Synopsis/PTree/Atoms.hh:56</a>: in class <a href="../Scopes/Synopsis/PTree/Identifier.html" >Synopsis::PTree::Identifier</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mIdentifier_maccept_lVisitor_S_r" /><h2 >Member function Synopsis::PTree::Identifier::accept&#40;Visitor*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Identifier.html#accept_lVisitor_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#57">Synopsis/PTree/Atoms.hh:57</a>: in class <a href="../Scopes/Synopsis/PTree/Identifier.html" >Synopsis::PTree::Identifier</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mIfStatement" /><h2 >Class Synopsis::PTree::IfStatement</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/IfStatement.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#270">Synopsis/PTree/Lists.hh:270</a>: in class <a href="../Scopes/Synopsis/PTree/IfStatement.html" >Synopsis::PTree::IfStatement</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#270">Synopsis/PTree/Lists.hh:270</a>: in class <a href="../Scopes/Synopsis/PTree/IfStatement.html" >Synopsis::PTree::IfStatement</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#50">Synopsis/PTree/TypeVisitor.hh:50</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#144">Synopsis/PTree/Visitor.hh:144</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#273">Synopsis/PTree/Lists.hh:273</a>: Constructor <a href="../Scopes/Synopsis/PTree/IfStatement.html#IfStatement_lNode_S_cNode_S_r" >IfStatement&#40;Node*&#44;Node*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mIfStatement_mIfStatement_lNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::IfStatement::IfStatement&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/IfStatement.html#IfStatement_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#273">Synopsis/PTree/Lists.hh:273</a>: in class <a href="../Scopes/Synopsis/PTree/IfStatement.html" >Synopsis::PTree::IfStatement</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mInfixExpr" /><h2 >Class Synopsis::PTree::InfixExpr</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/InfixExpr.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#381">Synopsis/PTree/Lists.hh:381</a>: in class <a href="../Scopes/Synopsis/PTree/InfixExpr.html" >Synopsis::PTree::InfixExpr</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#381">Synopsis/PTree/Lists.hh:381</a>: in class <a href="../Scopes/Synopsis/PTree/InfixExpr.html" >Synopsis::PTree::InfixExpr</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#67">Synopsis/PTree/TypeVisitor.hh:67</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#172">Synopsis/PTree/Visitor.hh:172</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#32">Synopsis/TypeAnalysis/ConstEvaluator.hh:32</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html" >Synopsis::TypeAnalysis::ConstEvaluator</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#36">Synopsis/TypeAnalysis/TypeEvaluator.hh:36</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" >Synopsis::TypeAnalysis::TypeEvaluator</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#384">Synopsis/PTree/Lists.hh:384</a>: Constructor <a href="../Scopes/Synopsis/PTree/InfixExpr.html#InfixExpr_lNode_S_cNode_S_r" >InfixExpr&#40;Node*&#44;Node*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mInfixExpr_mInfixExpr_lNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::InfixExpr::InfixExpr&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/InfixExpr.html#InfixExpr_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#384">Synopsis/PTree/Lists.hh:384</a>: in class <a href="../Scopes/Synopsis/PTree/InfixExpr.html" >Synopsis::PTree::InfixExpr</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mIterator" /><h2 >Class Synopsis::PTree::Iterator</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Iterator.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#71">Synopsis/PTree/Node.hh:71</a>: in class <a href="../Scopes/Synopsis/PTree/Iterator.html" >Synopsis::PTree::Iterator</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Node.hh.html#74">Synopsis/PTree/Node.hh:74</a>: Constructor <a href="../Scopes/Synopsis/PTree/Iterator.html#Iterator_lNode_S_r" >Iterator&#40;Node*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Node.hh.html#75">Synopsis/PTree/Node.hh:75</a>: Member function <a href="../Scopes/Synopsis/PTree/Iterator.html#operator_l_r_l_r" >operator&#40;&#41;&#40;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Node.hh.html#76">Synopsis/PTree/Node.hh:76</a>: Member function <a href="../Scopes/Synopsis/PTree/Iterator.html#pop_l_r" >pop&#40;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Node.hh.html#77">Synopsis/PTree/Node.hh:77</a>: Member function <a href="../Scopes/Synopsis/PTree/Iterator.html#next_lNode_S_A_r" >next&#40;Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Node.hh.html#78">Synopsis/PTree/Node.hh:78</a>: Member function <a href="../Scopes/Synopsis/PTree/Iterator.html#reset_lNode_S_r" >reset&#40;Node*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Node.hh.html#80">Synopsis/PTree/Node.hh:80</a>: Member function <a href="../Scopes/Synopsis/PTree/Iterator.html#get_l_r" >get&#40;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Node.hh.html#81">Synopsis/PTree/Node.hh:81</a>: Member function <a href="../Scopes/Synopsis/PTree/Iterator.html#operator_S_l_r" >operator*&#40;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Node.hh.html#82">Synopsis/PTree/Node.hh:82</a>: Member function <a href="../Scopes/Synopsis/PTree/Iterator.html#operator_p_p_l_r" >operator++&#40;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Node.hh.html#83">Synopsis/PTree/Node.hh:83</a>: Member function <a href="../Scopes/Synopsis/PTree/Iterator.html#operator_p_p_lint_r" >operator++&#40;int&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Node.hh.html#84">Synopsis/PTree/Node.hh:84</a>: Member function <a href="../Scopes/Synopsis/PTree/Iterator.html#empty_l_r" >empty&#40;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Node.hh.html#86">Synopsis/PTree/Node.hh:86</a>: Data member <a href="../Scopes/Synopsis/PTree/Iterator.html#ptree" >ptree</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mIterator_mIterator_lNode_S_r" /><h2 >Constructor Synopsis::PTree::Iterator::Iterator&#40;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Iterator.html#Iterator_lNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#74">Synopsis/PTree/Node.hh:74</a>: in class <a href="../Scopes/Synopsis/PTree/Iterator.html" >Synopsis::PTree::Iterator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mIterator_mempty_l_r" /><h2 >Member function Synopsis::PTree::Iterator::empty&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Iterator.html#empty_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#84">Synopsis/PTree/Node.hh:84</a>: in class <a href="../Scopes/Synopsis/PTree/Iterator.html" >Synopsis::PTree::Iterator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mIterator_mget_l_r" /><h2 >Member function Synopsis::PTree::Iterator::get&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Iterator.html#get_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#80">Synopsis/PTree/Node.hh:80</a>: in class <a href="../Scopes/Synopsis/PTree/Iterator.html" >Synopsis::PTree::Iterator</a></li>
</ul></li>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#81">Synopsis/PTree/Node.hh:81</a>: in member function <a href="../Scopes/Synopsis/PTree/Iterator.html#operator_S_l_r" >Synopsis::PTree::Iterator::operator*&#40;&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#82">Synopsis/PTree/Node.hh:82</a>: in member function <a href="../Scopes/Synopsis/PTree/Iterator.html#operator_p_p_l_r" >Synopsis::PTree::Iterator::operator++&#40;&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mIterator_mnext_lNode_S_A_r" /><h2 >Member function Synopsis::PTree::Iterator::next&#40;Node*&amp;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Iterator.html#next_lNode_S_A_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#77">Synopsis/PTree/Node.hh:77</a>: in class <a href="../Scopes/Synopsis/PTree/Iterator.html" >Synopsis::PTree::Iterator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mIterator_moperator_l_r_l_r" /><h2 >Member function Synopsis::PTree::Iterator::operator&#40;&#41;&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Iterator.html#operator_l_r_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#75">Synopsis/PTree/Node.hh:75</a>: in class <a href="../Scopes/Synopsis/PTree/Iterator.html" >Synopsis::PTree::Iterator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mIterator_moperator_S_l_r" /><h2 >Member function Synopsis::PTree::Iterator::operator*&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Iterator.html#operator_S_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#81">Synopsis/PTree/Node.hh:81</a>: in class <a href="../Scopes/Synopsis/PTree/Iterator.html" >Synopsis::PTree::Iterator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mIterator_moperator_p_p_l_r" /><h2 >Member function Synopsis::PTree::Iterator::operator++&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Iterator.html#operator_p_p_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#82">Synopsis/PTree/Node.hh:82</a>: in class <a href="../Scopes/Synopsis/PTree/Iterator.html" >Synopsis::PTree::Iterator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mIterator_moperator_p_p_lint_r" /><h2 >Member function Synopsis::PTree::Iterator::operator++&#40;int&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Iterator.html#operator_p_p_lint_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#83">Synopsis/PTree/Node.hh:83</a>: in class <a href="../Scopes/Synopsis/PTree/Iterator.html" >Synopsis::PTree::Iterator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mIterator_mpop_l_r" /><h2 >Member function Synopsis::PTree::Iterator::pop&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Iterator.html#pop_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#76">Synopsis/PTree/Node.hh:76</a>: in class <a href="../Scopes/Synopsis/PTree/Iterator.html" >Synopsis::PTree::Iterator</a></li>
</ul></li>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#75">Synopsis/PTree/Node.hh:75</a>: in member function <a href="../Scopes/Synopsis/PTree/Iterator.html#operator_l_r_l_r" >Synopsis::PTree::Iterator::operator&#40;&#41;&#40;&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#82">Synopsis/PTree/Node.hh:82</a>: in member function <a href="../Scopes/Synopsis/PTree/Iterator.html#operator_p_p_l_r" >Synopsis::PTree::Iterator::operator++&#40;&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#83">Synopsis/PTree/Node.hh:83</a>: in member function <a href="../Scopes/Synopsis/PTree/Iterator.html#operator_p_p_lint_r" >Synopsis::PTree::Iterator::operator++&#40;int&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mIterator_mptree" /><h2 >Data member Synopsis::PTree::Iterator::ptree</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Iterator.html#ptree" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#86">Synopsis/PTree/Node.hh:86</a>: in class <a href="../Scopes/Synopsis/PTree/Iterator.html" >Synopsis::PTree::Iterator</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#74">Synopsis/PTree/Node.hh:74</a>: in member function <a href="../Scopes/Synopsis/PTree/Iterator.html#Iterator_lNode_S_r" >Synopsis::PTree::Iterator::Iterator&#40;Node*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#78">Synopsis/PTree/Node.hh:78</a>: in member function <a href="../Scopes/Synopsis/PTree/Iterator.html#reset_lNode_S_r" >Synopsis::PTree::Iterator::reset&#40;Node*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#80">Synopsis/PTree/Node.hh:80</a>: in member function <a href="../Scopes/Synopsis/PTree/Iterator.html#get_l_r" >Synopsis::PTree::Iterator::get&#40;&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#80">Synopsis/PTree/Node.hh:80</a>: in member function <a href="../Scopes/Synopsis/PTree/Iterator.html#get_l_r" >Synopsis::PTree::Iterator::get&#40;&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#84">Synopsis/PTree/Node.hh:84</a>: in member function <a href="../Scopes/Synopsis/PTree/Iterator.html#empty_l_r" >Synopsis::PTree::Iterator::empty&#40;&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mIterator_mreset_lNode_S_r" /><h2 >Member function Synopsis::PTree::Iterator::reset&#40;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Iterator.html#reset_lNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#78">Synopsis/PTree/Node.hh:78</a>: in class <a href="../Scopes/Synopsis/PTree/Iterator.html" >Synopsis::PTree::Iterator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mKeyword" /><h2 >Class Synopsis::PTree::Keyword</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Keyword.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#60">Synopsis/PTree/Atoms.hh:60</a>: in class <a href="../Scopes/Synopsis/PTree/Keyword.html" >Synopsis::PTree::Keyword</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#70">Synopsis/PTree/Atoms.hh:70</a>: in class <a href="../Scopes/Synopsis/PTree/KeywordT.html" >Synopsis::PTree::KeywordT</a></li>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#79">Synopsis/PTree/Atoms.hh:79</a>: in class <a href="../Scopes/Synopsis/PTree/UserKeyword.html" >Synopsis::PTree::UserKeyword</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#28">Synopsis/PTree/TypeVisitor.hh:28</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#35">Synopsis/PTree/Visitor.hh:35</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Atoms.hh.html#63">Synopsis/PTree/Atoms.hh:63</a>: Constructor <a href="../Scopes/Synopsis/PTree/Keyword.html#Keyword_lconst.Token_A_r" >Keyword&#40;const Token&amp;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Atoms.hh.html#64">Synopsis/PTree/Atoms.hh:64</a>: Constructor <a href="../Scopes/Synopsis/PTree/Keyword.html#Keyword_lconst.char_S_cint_r" >Keyword&#40;const char*&#44;int&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Atoms.hh.html#65">Synopsis/PTree/Atoms.hh:65</a>: Member function <a href="../Scopes/Synopsis/PTree/Keyword.html#token_l_rconst" >token&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/PTree/Atoms.hh.html#66">Synopsis/PTree/Atoms.hh:66</a>: Member function <a href="../Scopes/Synopsis/PTree/Keyword.html#accept_lVisitor_S_r" >accept&#40;Visitor*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mKeyword_mKeyword_lconst.Token_A_r" /><h2 >Constructor Synopsis::PTree::Keyword::Keyword&#40;const Token&amp;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Keyword.html#Keyword_lconst.Token_A_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#63">Synopsis/PTree/Atoms.hh:63</a>: in class <a href="../Scopes/Synopsis/PTree/Keyword.html" >Synopsis::PTree::Keyword</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mKeyword_mKeyword_lconst.char_S_cint_r" /><h2 >Constructor Synopsis::PTree::Keyword::Keyword&#40;const char*&#44;int&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Keyword.html#Keyword_lconst.char_S_cint_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#64">Synopsis/PTree/Atoms.hh:64</a>: in class <a href="../Scopes/Synopsis/PTree/Keyword.html" >Synopsis::PTree::Keyword</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mKeyword_maccept_lVisitor_S_r" /><h2 >Member function Synopsis::PTree::Keyword::accept&#40;Visitor*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Keyword.html#accept_lVisitor_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#66">Synopsis/PTree/Atoms.hh:66</a>: in class <a href="../Scopes/Synopsis/PTree/Keyword.html" >Synopsis::PTree::Keyword</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mKeyword_mtoken_l_rconst" /><h2 >Member function Synopsis::PTree::Keyword::token&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Keyword.html#token_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#65">Synopsis/PTree/Atoms.hh:65</a>: in class <a href="../Scopes/Synopsis/PTree/Keyword.html" >Synopsis::PTree::Keyword</a></li>
</ul></li>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#28">Synopsis/PTree/TypeVisitor.hh:28</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lKeyword_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;Keyword*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mKeywordT" /><h2 >Class Synopsis::PTree::KeywordT</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/KeywordT.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#70">Synopsis/PTree/Atoms.hh:70</a>: in class <a href="../Scopes/Synopsis/PTree/KeywordT.html" >Synopsis::PTree::KeywordT</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#29">Synopsis/PTree/NodesFwd.hh:29</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#30">Synopsis/PTree/NodesFwd.hh:30</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#31">Synopsis/PTree/NodesFwd.hh:31</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#32">Synopsis/PTree/NodesFwd.hh:32</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#33">Synopsis/PTree/NodesFwd.hh:33</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#34">Synopsis/PTree/NodesFwd.hh:34</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#35">Synopsis/PTree/NodesFwd.hh:35</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#36">Synopsis/PTree/NodesFwd.hh:36</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#37">Synopsis/PTree/NodesFwd.hh:37</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#38">Synopsis/PTree/NodesFwd.hh:38</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#39">Synopsis/PTree/NodesFwd.hh:39</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#40">Synopsis/PTree/NodesFwd.hh:40</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#41">Synopsis/PTree/NodesFwd.hh:41</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#42">Synopsis/PTree/NodesFwd.hh:42</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#43">Synopsis/PTree/NodesFwd.hh:43</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#44">Synopsis/PTree/NodesFwd.hh:44</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#45">Synopsis/PTree/NodesFwd.hh:45</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#46">Synopsis/PTree/NodesFwd.hh:46</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#47">Synopsis/PTree/NodesFwd.hh:47</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#48">Synopsis/PTree/NodesFwd.hh:48</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#49">Synopsis/PTree/NodesFwd.hh:49</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#50">Synopsis/PTree/NodesFwd.hh:50</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#51">Synopsis/PTree/NodesFwd.hh:51</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#52">Synopsis/PTree/NodesFwd.hh:52</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#53">Synopsis/PTree/NodesFwd.hh:53</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#54">Synopsis/PTree/NodesFwd.hh:54</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#55">Synopsis/PTree/NodesFwd.hh:55</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#56">Synopsis/PTree/NodesFwd.hh:56</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#57">Synopsis/PTree/NodesFwd.hh:57</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#58">Synopsis/PTree/NodesFwd.hh:58</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#59">Synopsis/PTree/NodesFwd.hh:59</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#60">Synopsis/PTree/NodesFwd.hh:60</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#61">Synopsis/PTree/NodesFwd.hh:61</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#62">Synopsis/PTree/NodesFwd.hh:62</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#63">Synopsis/PTree/NodesFwd.hh:63</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#64">Synopsis/PTree/NodesFwd.hh:64</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#65">Synopsis/PTree/NodesFwd.hh:65</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#66">Synopsis/PTree/NodesFwd.hh:66</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#67">Synopsis/PTree/NodesFwd.hh:67</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#68">Synopsis/PTree/NodesFwd.hh:68</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#69">Synopsis/PTree/NodesFwd.hh:69</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#70">Synopsis/PTree/NodesFwd.hh:70</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#71">Synopsis/PTree/NodesFwd.hh:71</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#72">Synopsis/PTree/NodesFwd.hh:72</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#73">Synopsis/PTree/NodesFwd.hh:73</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#74">Synopsis/PTree/NodesFwd.hh:74</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#75">Synopsis/PTree/NodesFwd.hh:75</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#76">Synopsis/PTree/NodesFwd.hh:76</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#77">Synopsis/PTree/NodesFwd.hh:77</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#78">Synopsis/PTree/NodesFwd.hh:78</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#79">Synopsis/PTree/NodesFwd.hh:79</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#80">Synopsis/PTree/NodesFwd.hh:80</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#81">Synopsis/PTree/NodesFwd.hh:81</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Atoms.hh.html#73">Synopsis/PTree/Atoms.hh:73</a>: Constructor <a href="../Scopes/Synopsis/PTree/KeywordT.html#KeywordT_lconst.Token_A_r" >KeywordT&#40;const Token&amp;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Atoms.hh.html#74">Synopsis/PTree/Atoms.hh:74</a>: Constructor <a href="../Scopes/Synopsis/PTree/KeywordT.html#KeywordT_lconst.char_S_csize_t_r" >KeywordT&#40;const char*&#44;size_t&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Atoms.hh.html#75">Synopsis/PTree/Atoms.hh:75</a>: Member function <a href="../Scopes/Synopsis/PTree/KeywordT.html#token_l_rconst" >token&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/PTree/Atoms.hh.html#76">Synopsis/PTree/Atoms.hh:76</a>: Member function <a href="../Scopes/Synopsis/PTree/KeywordT.html#accept_lVisitor_S_r" >accept&#40;Visitor*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mKeywordT_mKeywordT_lconst.Token_A_r" /><h2 >Constructor Synopsis::PTree::KeywordT::KeywordT&#40;const Token&amp;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/KeywordT.html#KeywordT_lconst.Token_A_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#73">Synopsis/PTree/Atoms.hh:73</a>: in class <a href="../Scopes/Synopsis/PTree/KeywordT.html" >Synopsis::PTree::KeywordT</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mKeywordT_mKeywordT_lconst.char_S_csize_t_r" /><h2 >Constructor Synopsis::PTree::KeywordT::KeywordT&#40;const char*&#44;size_t&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/KeywordT.html#KeywordT_lconst.char_S_csize_t_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#74">Synopsis/PTree/Atoms.hh:74</a>: in class <a href="../Scopes/Synopsis/PTree/KeywordT.html" >Synopsis::PTree::KeywordT</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mKeywordT_maccept_lVisitor_S_r" /><h2 >Member function Synopsis::PTree::KeywordT::accept&#40;Visitor*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/KeywordT.html#accept_lVisitor_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#76">Synopsis/PTree/Atoms.hh:76</a>: in class <a href="../Scopes/Synopsis/PTree/KeywordT.html" >Synopsis::PTree::KeywordT</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mKeywordT_mtoken_l_rconst" /><h2 >Member function Synopsis::PTree::KeywordT::token&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/KeywordT.html#token_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#75">Synopsis/PTree/Atoms.hh:75</a>: in class <a href="../Scopes/Synopsis/PTree/KeywordT.html" >Synopsis::PTree::KeywordT</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mKwd" /><h2 >Namespace Synopsis::PTree::Kwd</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Kwd.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#27">Synopsis/PTree/NodesFwd.hh:27</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mKwd_mAuto" /><h2 >Typedef Synopsis::PTree::Kwd::Auto</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Kwd.html#Auto" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#29">Synopsis/PTree/NodesFwd.hh:29</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#36">Synopsis/PTree/Visitor.hh:36</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
</ul>
</div>
<div class="logo">Generated on Thu Apr 16 16:28:05 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
